Bug 49301 - ncr53c8xx kernel BUG at slab.c:1244 from initrd
ncr53c8xx kernel BUG at slab.c:1244 from initrd
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-17 15:09 EDT by Michael Redinger
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-06 11:57:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Redinger 2001-07-17 15:09:51 EDT
On boot, the kernel does show an error message (given below). As this message says it's a bug, I thought I could submit it ... ;)

ncr53c8xx: at PCI bus 0, device 10, function 0
ncr53c8xx: 53c825 detected 
ncr53c825-0: rev 0x2 on pci bus 0 device 10 function 0 irq 11
ncr53c825-0: ID 7, Fast-10, Parity Checking
scsi0 : ncr53c8xx-3.4.3b-20010512
kernel BUG at slab.c:1244!
invalid operand: 0000
CPU:    0
EIP:    0010:[<c012b2fc>]
EFLAGS: 00010082
eax: 0000001b   ebx: c1117480   ecx: 00000001   edx: 00001058
esi: c1124e00   edi: c1124e01   ebp: 00012800   esp: c3d0fca0
ds: 0018   es: 0018   ss: 0018
Process insmod (pid: 14, stackpage=c3d0f000)
Stack: c023517c 000004dc c1124e00 00000200 c1124e01 00000046 00000001 c3bc4000 
       c3bc4000 00000000 c1124c00 00000000 00000000 00000000 c48031f1 0000018c 
       00000020 c1144d54 00000202 c1124c00 00000000 00000000 c3d0fda4 c480c64c 
Call Trace: [<c0183740>] [<c01837b1>] [<c0185950>] [<c01366ac>] [<c0171b79>] 
   [<c01b8a31>] [<c0176923>] [<c0175e5c>] [<c0115b39>] [<c0115caa>] [<c0116a97>]
 
   [<c0106f6b>] 

Code: 0f 0b 58 8b 6b 10 5a 81 e5 00 04 00 00 74 4d b8 a5 c2 0f 17 
 <6>Journalled Block Device driver loaded
kjournald starting.  Commit interval 5 seconds



This happens during boot (in the initrd part). Looking at linuxrc,
this must be either when doing the insmod for ncr53c8xx or for
jbd.

This is on a Compaq Proliant 1500 with a onboard NCR53C825 SCSI chip
and a Compaq Smart Array Controller (the original one).
Comment 1 Glen Foster 2001-07-18 16:35:50 EDT
This defect considered MUST-FIX for Fairfax gold-release.
Comment 2 Arjan van de Ven 2001-08-20 08:58:08 EDT
Does Roswell2 still do this ?
Comment 3 Michael K. Johnson 2001-08-24 14:16:31 EDT
Was this a one-time occurence or did it occur on each boot?
Also, to re-iterate Arjan's question, does it occur with
the refresh of Roswell (kernel 2.4.7-2)?
Comment 4 Michael Redinger 2001-08-24 18:05:57 EDT
Just a quick note:
I'll be busy until Tue 08 28 2001, will test this sometime between Wed and Sun with Roswell2.

This did occur on each reboot with the last beta, but I didn't have time to check the latest beta for now. Will test this ASAP ...
Comment 5 Jay Turner 2002-03-18 21:47:45 EST
What's the status of this?

Note You need to log in before you can comment on or make changes to this bug.